PTHREAD_RWLOCK_DESTROY(3)

NAME
pthread_rwlock_destroy - destroy a read/write lock

SYNOPSIS
libpthread
#include <pthread.h>
int
pthread_rwlock_destroy(pthread_rwlock_t *lock);

DESCRIPTION
The pthread_rwlock_destroy() function is used to destroy a read/write lock previously created with pthread_rwlock_init().

RETURN VALUES
If successful, the pthread_rwlock_destroy() function will return zero. Otherwise an error number will be returned to indicate the error.

ERRORS
The pthread_rwlock_destroy() function will fail if:

[EPERM]
    The caller does not have the privilege to perform the operation.

The pthread_rwlock_destroy() function may fail if:

[EBUSY]
    The system has detected an attempt to destroy the object referenced by lock while it is locked.

[EINVAL]
    The value specified by lock is invalid.

SEE ALSO
pthread_rwlock_init(3)

STANDARDS
The pthread_rwlock_destroy() function is expected to conform to susv2.

HISTORY
The pthread_rwlock_destroy() function first appeared in FreeBSD 3.0 and OpenBSD 2.5.